## org.eclipse.datatools.sqltools.common.ui.tableviewer
Class TableDialogCellEditor

    java.lang.Object
      org.eclipse.jface.viewers.CellEditor
          org.eclipse.jface.viewers.DialogCellEditor
              org.eclipse.datatools.sqltools.common.ui.tableviewer.TableDialogCellEditor

    public abstract class TableDialogCellEditor

extends org.eclipse.jface.viewers.DialogCellEditor

A dialog cell editor that supports tab traverse function. Dialog cell editors usually have a label control on the left and a button on the right. Pressing the button opens a dialog window (for example, a color dialog or a file dialog) to change the cell editor's value. The cell editor's value is the value of the dialog.

Subclasses need implement the following method:

- `openDialogBox`: opens the dialog box when the end user presses the button

Author:
  lihuang

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.viewers.CellEditor
`org.eclipse.jface.viewers.CellEditor.LayoutData`

Field Summary

Fields inherited from class org.eclipse.jface.viewers.DialogCellEditor
`CELL_EDITOR_IMG_DOTS_BUTTON`

Fields inherited from class org.eclipse.jface.viewers.CellEditor
`COPY, CUT, DELETE, FIND, PASTE, REDO, SELECT_ALL, UNDO`

Constructor Summary
`TableDialogCellEditor(AccessibleTableViewer accessibleTableViewer)` Creates a new dialog cell editor parented under the given AccessibleTableViewer.

Method Summary
`abstract java.lang.Object` `openDialogBox(org.eclipse.swt.widgets.Control cellEditorWindow)` Opens a dialog box under the given parent control and returns the dialog's value when it closes, or `null` if the dialog was cancelled or no selection was made in the dialog.

Methods inherited from class org.eclipse.jface.viewers.DialogCellEditor
`deactivate`

Methods inherited from class org.eclipse.jface.viewers.CellEditor

`activate, activate, addListener, addPropertyChangeListener, create, dispose, getControl, getErrorMessage, getLayoutData, getStyle, getValidator, getValue, isActivated, isCopyEnabled, isCutEnabled, isDeleteEnabled, isDirty, isFindEnabled, isPasteEnabled, isRedoEnabled, isSelectAllEnabled, isUndoEnabled, isValueValid, performCopy, performCut, performDelete, performFind, performPaste, performRedo, performSelectAll, performUndo, removeListener, removePropertyChangeListener, setFocus, setStyle, setValidator, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableDialogCellEditor

    public TableDialogCellEditor(AccessibleTableViewer accessibleTableViewer)

  Creates a new dialog cell editor parented under the given AccessibleTableViewer.

  Parameters:
    `accessibleTableViewer` - AccessibleTableViewer

Method Detail

### openDialogBox

    public abstract java.lang.Object openDialogBox(org.eclipse.swt.widgets.Control cellEditorWindow)

  Opens a dialog box under the given parent control and returns the dialog's value when it closes, or `null` if the dialog was cancelled or no selection was made in the dialog.

  This framework method must be implemented by concrete subclasses. It is called when the user has pressed the button and the dialog box must pop up.

  Specified by:
    `openDialogBox` in class `org.eclipse.jface.viewers.DialogCellEditor`
  Parameters:
    `cellEditorWindow` - the parent control cell editor's window so that a subclass can adjust the dialog box accordingly
  Returns:
    the selected value, or `null` if the dialog was cancelled or no selection was made in the dialog